;**********************************************************************
;* Filename:	config.inc
;* Project:		EPROM emulator
;* Date:		05 June 2005
;* Version:		0.1
;* Author:		Philip Pemberton
;* 
;* Chip configuration for EPROM emulator.
;**********************************************************************

	PROCESSOR	16F877A
	INCLUDE		<p16f877a.inc>
	RADIX		DEC

;**********************************************************************
;** DEFINES / DEFINITION LIBRARIES
;**********************************************************************

	INCLUDE		"stddef.inc"		; Standard definitions

;**********************************************************************
;** CONSTANTS
;**********************************************************************

freq_osc	equ		D'11059200'		; Oscillator frequency in Hz

MAJOR_VER	equ		D'01'			; Major version
MINOR_VER	equ		D'00'			; Minor version
HARDWARE_ID	equ		H'4D'			; Hardware ID

;**********************************************************************
;** MACRO LIBRARIES
;**********************************************************************

	INCLUDE		"stdmac.inc"		; Standard macros

;**********************************************************************
;** SETUP DEFINES
;**********************************************************************

gbank    equ     0           ;direct register bank for global variables
; gbankadr equ     0           ;adr within globals bank (access bank on PIC18)
gbankadr equ     bankadr(gbank) ;adr within globals bank (access bank on PIC18)
