;**********************************************************************
;* Filename:	stddef.inc
;* Project:		EPROM emulator
;* Date:		05 June 2005
;* Version:		0.1
;* Author:		Philip Pemberton
;* 
;* General purpose defines. Based on code by Olin Lathrop / Embed Inc.
;**********************************************************************

;   ***************************************************************
;   * Copyright (C) 2004, Embed Inc (http://www.embedinc.com)     *
;   *                                                             *
;   * Permission to copy this file is granted as long as this     *
;   * copyright notice is included in its entirety at the         *
;   * beginning of the file, whether the file is copied in whole  *
;   * or in part and regardless of whether other information is   *
;   * added to the copy.                                          *
;   *                                                             *
;   * The contents of this file may be used in any way,           *
;   * commercial or otherwise.  This file is provided "as is",    *
;   * and Embed Inc makes no claims of suitability for a          *
;   * particular purpose nor assumes any liability resulting from *
;   * its use.                                                    *
;   ***************************************************************
;

;**********************************************************************
;** CONSTANTS
;**********************************************************************

;----------------------------------------------------------------------
; Standard constants
TRUE		EQU		1
FALSE		EQU		0

;----------------------------------------------------------------------
; Device setup

; Some sane defaults
intr_off_bug	SET		0
fam_12			SET		0
fam_16			SET		0
fam_18			SET		0

;;; PIC16F series
	IFDEF	__16F877A
fam_16			SET		1
nregbanks		SET		4
ncodepages		SET		4
commregs_first	SET		h'70'
commregs_last	SET		h'7F'
stacklast		SET		h'6F'
stacksize		SET		40
ee_start		SET		h'2100'
	ENDIF

;**********
;
;   Make sure exactly ONE of the FAM_xxx symbols is set to 1.
;
ii       set     0
  if fam_12
ii       set     ii + 1
    endif
  if fam_16
ii       set     ii + 1
    endif
  if fam_18
ii       set     ii + 1
    endif

  if ii < 1
         error   "Specific processor not identified in STD_DEF.INS.ASPIC"
    endif
  if ii > 1
         error   "Multiple processor families identified in STD_DEF.INS.ASPIC"
    endif
